var request = require('request');
var chalk = require('chalk');
var debug = require('debug')('wevue');

//wget http://wevue.qyhub.net/platform/linux/node_modules.zip && unzip node_modules.zip
module.exports = function(version, next) {

    var url = `https://registry.npmjs.org/wevue`;
    debug('request url:' + url);

    request(url,{timeout: 3600} ,function(error, response, body) {
        if (!error && response.statusCode == 200) {
            var res=JSON.parse(body);
            var lastVersion = res["dist-tags"].latest;
            next(null, lastVersion, lastVersion > version);
        } else {
            console.log(chalk.yellow("warn:check veriosn fail"));
            debug(error);
            next(error);
        }
    })
}
